<?php
define("__CHARTE_FILEPATH", "/var/www/html/posh/includes/plugins/plugin_charte/charte/charte.html");
// The logger
include_once('../includes/plugins/plugin_charte/utils.php');
function return_ok($mess){
    echo "<p style='color:#22ee22'>" . $mess . "</p>";
    echo "<br/>";
}
function return_error($mess){
    echo "<p style='color:#ee2222'>" . $mess . "</p>";
    echo "<br/>";
}
?>
<html><head>
<script type='text/javascript' src='../tools/fckeditor/fckeditor.js'></script>
<script type='text/javascript' src='../includes/plugins/plugin_charte/charte.js'></script>
<?php if(file_exists(__CHARTE_FILEPATH)){
    /* Si la charte existe on veut l'afficher, mais cela doit se faire dans le onload (merci IE)*/
    echo "<script type='text/javascript'>";
    echo "function init(){" . "$" . "envole.charte.loadCharte(1);}</script>";
}else{
    echo "<script type='text/javascript'>function init(){}</script>";
}
?>
<style>
#userlist{
position:relative;
left: 30%;
width:50%;
border:1px solid #cccccc;
}
#userlist thead{
background-color : #ededed;
}
#userlist th{
padding:10px;
padding-top:4px;
padding-bottom:4px;
border-bottom:1px solid #cccccc;
}
#userlist td{
padding:2px;
font-size:10px;
color:#555;
}
.first{
    background-color:#ffffff;
}
.second{
    background-color:#f0f0fe;
}
</style>
</head><body onload="init()">
<?php
if (isset($_GET['enable'])){
    /* On passe la charte en mode 'En ligne'*/
    $ret_code = enable();
    if ($ret_code){
        return_ok("La charte a bien été activée et est désormais visible à la connexion des utilisateurs.");
    }else{
        return_error("Erreur à l'activation de la charte d'utilisation du portail.");
    }
}elseif (isset($_GET['disable'])){
    /* On passe la charte en mode 'Brouillon'*/
    $ret_code = disable();
    if ($ret_code){
        return_ok("La charte a bien été désactivée.");
    }else{
        return_error("Erreur à la désactivation de la charte d'utilisation du portail.");
    }
}
if (is_uploaded_file($_FILES['chartefile']['tmp_name']))
{
    /* On a téléchargé un fichier */
    $fichier_temp=$_FILES['chartefile']['tmp_name'];
    $nom_fichier=$_FILES['chartefile']['name'];
    if (substr($nom_fichier,-5)==".html")
    {
        if (@copy($_FILES['chartefile']['tmp_name'], __CHARTE_FILEPATH))
        {
            return_ok("Le fichier a bien été téléchargé.");
            _log("Le fichier a bien été copié");
        }else
        {
            return_error("Erreur à la copie du fichier vers ". __CHARTE_FILEPATH . " (droits insuffisants ?)");
            _log("Erreur à la copie du fichier vers ". __CHARTE_FILEPATH . " (droits insuffisants ?)");
        }
    }else
        {
            _log("Erreur : Le fichier proposé n'a pas pour extension html.");
            return_error("Le fichier proposé n'est pas un fichier .html !! ");
        }
}
else
{
    /* On a édité la charte depuis fckeditor */
    $chartecontent = isset($_POST['chartetext'])? $_POST['chartetext']:'_void';
    if ($chartecontent != '_void' and $chartecontent != '')
    {
        _log("Le contenu de la charte a été récupéré");
        _log($chartecontent);
        $chartecontent = stripslashes($chartecontent);
        $fobj = @fopen(__CHARTE_FILEPATH, 'w');
        if ($fobj)
        {
            fputs($fobj, $chartecontent);
        }else
        {
            _log("Impossible d'écrire le fichier ". __CHARTE_FILEPATH . ", vérifiez les droits en écriture.");
            return_error("Impossible d'écrire le fichier " . __CHARTE_FILEPATH . ", vérifiez les droits en écriture.");
        }
    }
}
?>
<div>La charte d'utilisation du portail Envole est en mode :
<?php
if (isEnabled()){
	echo "<span style='font-weight:bold;font-color:green;padding:5px;'>En ligne</span>";
	echo "<a href='admin_tab.php?page=charte_tab&disable=ok'>D&eacute;sactiver</a>";
}else{
	echo "<span style='font-weight:bold;font-color:green;padding:5px;'>Brouillon</span>";
	echo "<a href='admin_tab.php?page=charte_tab&enable=ok'>Activer</a>";
}
?>
</div>
<br /><br />
<h1>Rédaction de la charte</h1>
<table>
<tr><td>
</td>
<td>

<form name='chartefile' action='admin_tab.php?page=charte_tab' method='POST' enctype="multipart/form-data">
<p><FIELDSET><LEGEND>Fichier html</LEGEND>
<label for='chartefile' style='padding-right:5px' >Télécharger un fichier au format html</label><input type='file' name='chartefile' id='chartefile' tabindex='1'></input>
</fieldset></p>
<input type='submit' value='Upload'>
</form>

</td></tr>
<tr><td>
<h2>OU</h2>
</td><td></td></tr>
<tr><td></td>
<td>

<form name='chartetext' action='admin_tab.php?page=charte_tab' method='POST'>
<p><FIELDSET><LEGEND>Rédaction en ligne</LEGEND>
<a title='' id='expand_editor' href='#' onclick="$p.show('chartetext_div', 'block');$envole.setUpFckeditor('chartetext');$('expand_editor').innerHTML='';"><img src="/posh/images/ico_menu_add.gif" /></a>
<div style="display:none" id="chartetext_div">
<label for='chartetext' style='padding-right:5px' >Rédigez votre charte informatique</label>
<br />
<textarea name='chartetext' id='chartetext'  cols='150' rows='34' >
<?php
/* On affiche la charte dans l'éditeur si elle existe */
if (file_exists(__CHARTE_FILEPATH)){
    echo file_get_contents(__CHARTE_FILEPATH);
}
?>
</textarea>
</fieldset></p>
<input type='submit' value='Enregistrer'>
</div>
</form>
</td></tr>
</table>

<h1>Prévisualisation</h1>
<?php if(file_exists(__CHARTE_FILEPATH))
        {
           echo '<input type="button" value="Rafraichir" onclick="$envole.charte.loadCharte(\'admin\');"><br />';
           echo "<div id='preview'></div>";
        }else{
            echo "Aucune charte n'a &eacute;t&eacute; trouv&eacute;";
        }
echo "<br />";
?>
<h1>Liste des utilisateurs ayant valid&eacute; la charte</h1>
<?php
if (isset($_GET['unvalid'])){
    /* On invalide la charte pour l'utilisateur __all__ = tout le monde */
    $username = $_GET['unvalid'];
    $ret_code = unvalid($username);
    if ($ret_code){
        return_ok("La charte a été invalidée pour l'utilisateur $username");
    }else{
        return_error("Erreur à l'invalidation de la charte pour l'utilisateur $username");
    }
}
?>
<table id='userlist' cellpadding='0' cellspacing='0'><thead>
<tr><th style='border-right:1px solid #cccccc'>Login</th>
<th style='border-right:1px solid #cccccc'>Valid&eacute;</th>
<th>Annuler</th></tr>
</thead><tbody>
<?php
global $DB;
$sql = "SELECT username from `users`";
$DB->getResults($sql);
$style = 'first';
$all_users = Array();
while ($user = $DB->fetch(0)){
    $all_users[] = $user;
}
$DB->freeResults();
foreach ($all_users as $user){
    echo "<tr class='".$style . "'>";
    $username = $user['username'];
    echo "<td style='border-right:1px solid #cccccc'>" . $username . "</td>";
    if (hasValidated($username)){
        echo "<td style='border-right:1px solid #cccccc'><span style='color:#22bb22'>Oui</span></td>";
        echo "<td><a href='admin_tab.php?page=charte_tab&unvalid=" . $username . "'><img src='/posh/images/ico_suppress.gif' /></a></td>";
    }else{
        echo "<td style='border-right:1px solid #cccccc'><span style='color:#bb2222'>Non</span></td>";
        echo "<td style='background-color:#dddddd;border-bottom:1px solid #ffffff'><br /></td>";
    }
    echo "</tr>";
    $style = ($style=='first')?'second':'first';
}
?>
</tbody></table>
<br /><br />
</body></html>
