<?php
define(__DEBUG, false);
define(__ACTIVE_CHARTE_FILEPATH, "/var/www/html/posh/includes/plugins/plugin_charte/charte/active");
function _log($mess)
{
    global $log;
    if (__DEBUG){
        include_once('envolePHP/logger.php');
        $log = new Logger('/var/log/posh/charte.log');
        $log->debug($mess);
    }
}
function enable(){
	if (! file_exists(__ACTIVE_CHARTE_FILEPATH) ){
		$fobj = @fopen(__ACTIVE_CHARTE_FILEPATH, 'w');
		if ($fobj)
		{
			fputs($fobj, 'charte active');
            return true;
		}else{
			_log("Impossible d'écrire le fichier ". __ACTIVE_CHARTE_FILEPATH . ", vérifiez les droits en écriture.");
            return false;
		}

	}else{
		_log("Le fichier existe déjà.");
        return false;
	}
}
function disable(){
	// Repasse la charte en mode brouillon
	if (file_exists(__ACTIVE_CHARTE_FILEPATH)){
		if(@unlink(__ACTIVE_CHARTE_FILEPATH)){
            return true;
		}else{
			_log("Erreur à la suppression du fichier " . __ACTIVE_CHARTE_FILEPATH . ", vérifiez les droits en écriture.");
        return false;
		}
	}else{
		_log("Le token n'existe pas");
        return false;
	}
}
function isEnabled(){
	return file_exists(__ACTIVE_CHARTE_FILEPATH);
}
function hasValidated($username){
    /* Renvoie true si username a validé la charte */
    	$sql = "SELECT * from `validated_chartes` WHERE `username`=%s;";
    	global $DB;
    	$DB->getResults($sql, $DB->quote($username));

    	if ($DB->nbResults() < 1){
            return false;
    	}else{
            return true;
    	}

}
function unvalid($username){
    global $DB;
    if ($username=='__all__'){
        $sql = "DELETE FROM `validated_chartes`;";
        $DB->execute($sql);
        return true;
    }else{
        $sql = "DELETE FROM `validated_chartes` WHERE `username`=%s";
        $DB->execute($sql, $DB->quote($username));
        return true;
    }
}
?>
